Subject: Re: 24.5; With jpeg-6b configure says "WARNING: libjpeg found, but not version 6b or later"

From: 白井彰 <[email-masked]>
Date: Fri, 17 Apr 2015 01:40:21 +0900

The attached patch works.  Thanks.

% gzcat emacs-24.5.tar.gz | tar xfp -
% (cd emacs-24.5; mv configure configure.orig)
% (cd emacs-24.5; patch < ../0001-Port-jpeg-configuration-to-Solaris-10-with-Sun-C.patch)
patching file `configure.ac'
Hunk #1 succeeded at 3066 (offset -123 lines).
% (cd emacs-24.5; autoconf)
% (cd emacs-24.5; ./configure --with-gif=no | fgrep -i jpeg > configure_jpeg_emacs-24.5_20332)
% (cd emacs-24.5; cat -n config.log | sed -n '4673,4683p;4762,4785p')
  4673  configure:13845: checking for jpeglib 6b or later
  4674  configure:13878: cc -D_STDC_C99= -o conftest -I/usr/openwin/include -g -O -I/usr/openwin/include     -L/usr/openwin/lib conftest.c -lXext -lXmu -lXt -lSM -lICE -lX11 -lpthread -lsocket -lnsl  >&5
  4675  Undefined                       first referenced
  4676   symbol                             in file
  4677  jpeg_destroy_decompress             conftest.o
  4678  jpeg_CreateDecompress               conftest.o
  4679  ld: fatal: Symbol referencing errors. No output written to conftest
  4680  configure:13878: $? = 1
  4681  configure: failed program was:
  4682  | /* confdefs.h */
  4683  | #define PACKAGE_NAME "emacs"
  4762  | #define HAVE_XPM 1
  4763  | /* end confdefs.h.  */
  4764  | #undef HAVE_STDLIB_H /* Avoid config.h/jpeglib.h collision.  */
  4765  |             #include <stdio.h> /* jpeglib.h needs FILE and size_t.  */
  4766  |             #include <jpeglib.h>
  4767  |             #include <jerror.h>
  4768  |             char verify[JPEG_LIB_VERSION < 62 ? -1 : 1];
  4769  |             struct jpeg_decompress_struct cinfo;
  4770  |
  4771  | int
  4772  | main ()
  4773  | {
  4774  |
  4775  |             jpeg_create_decompress (&cinfo);
  4776  |             WARNMS (&cinfo, JWRN_JPEG_EOF);
  4777  |             jpeg_destroy_decompress (&cinfo);
  4778  |
  4779  |   ;
  4780  |   return 0;
  4781  | }
  4782  configure:13878: cc -D_STDC_C99= -o conftest -I/usr/openwin/include -g -O -I/usr/openwin/include     -L/usr/openwin/lib conftest.c -lXext -lXmu -lXt -lSM -lICE -lX11 -lpthread -lsocket -lnsl  -ljpeg >&5
  4783  configure:13878: $? = 0
  4784  configure:13889: result: -ljpeg
  4785  configure:13944: checking png.h usability

> 2015/04/16 10:37、Paul Eggert <[email-masked]> のメール：
> 
> Thanks for the bug report.  This area of 'configure.ac' has been a source of trouble recently.  I rewrote it, installed the attached patch into the master branch, and am marking the bug as done.
> <0001-Port-jpeg-configuration-to-Solaris-10-with-Sun-C.patch>